INCLUDES    = $(all_includes)
METASOURCES = AUTO

KDE_ICON = AUTO

# Install this plugin in the TDE modules directory
kde_module_LTLIBRARIES = lib%{APPNAMELC}plugin.la

# This is all standard.  Remove the LIB_TDEHTML reference if you are not
# using the TDEHTML Part
lib%{APPNAMELC}plugin_la_SOURCES = plugin_%{APPNAMELC}.cpp
lib%{APPNAMELC}plugin_la_LIBADD = $(LIB_TDEPARTS) $(LIB_TDEHTML)
lib%{APPNAMELC}plugin_la_LDFLAGS = -module -avoid-version -no-undefined $(KDE_PLUGIN) $(all_libraries) $(LIB_TQT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEPARTS)

# Install the .rc file in the Part's directory (in this case, the part
# is TDEHTMLPart)
pluginsdir = $(kde_datadir)/tdehtml/kpartplugins
plugins_DATA = plugin_%{APPNAMELC}.rc

messages: rc.cpp
	$(EXTRACTRC) `find . -name \*.ui -o -name \*.rc` > rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/%{APPNAMELC}.pot
